summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authormischa <mischa@rx.high5.nl>2020-05-26 22:54:10 +0200
committermischa <mischa@rx.high5.nl>2020-05-26 22:54:10 +0200
commit69850ec6ad76bff48360ff220a89e20a9148e8a8 (patch)
tree4b8b2db467868aff25e2694b8b8577ade3b125ad
parent6050bab4197c5e3cd51d6d2b1e6cc9d604f671e0 (diff)
move wrapper.sh to launch.sh
-rwxr-xr-xlaunch.sh53
1 files changed, 53 insertions, 0 deletions
diff --git a/launch.sh b/launch.sh
new file mode 100755
index 0000000..a696de5
--- /dev/null
+++ b/launch.sh
@@ -0,0 +1,53 @@
+#!/bin/sh
+#
+# Copyright (c) 2019 Mischa Peters <mischa @ openbsd.amsterdam>
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+#
+CONF_FILE="${PWD}/_deploy.conf"
+if [[ -f "${CONF_FILE}" ]]; then
+ . "${CONF_FILE}"
+else
+ echo "unable to find _deploy.conf"
+ exit 1
+fi
+if [[ -z ${1} ]]; then
+ echo "usage: ${0##*/} vmXX"
+ exit 1
+fi
+if [[ ! -f "${VMS}/${1}.txt" ]]; then
+ echo "unable to find ${VMS}/${1}"
+ exit 1
+fi
+
+deploy.pl
+rcctl restart dhcpd
+vmctl reload
+sleep 10
+
+auto-deploy.exp ${1}
+if [ $? ]; then
+ vmctl stop -f ${1}
+fi
+
+deploy.pl
+rcctl restart dhcpd
+vmctl reload
+sleep 10
+
+auto-start.exp ${1}
+if [ $? ]; then
+ echo
+ echo "SUCCES! - deployed ${1}"
+ notify.pl deployed ${1}
+fi